<%@ Control Language="C#" %>
<%@ Register TagPrefix="CS" Namespace="CommunityServer.Controls" Assembly="CommunityServer.Controls" %>
<%@ Register TagPrefix="Blog" Namespace="CommunityServer.Blogs.Controls" Assembly="CommunityServer.Blogs" %>
<%@ Import Namespace="CommunityServer.Components" %>

<li id="NewsSideBar">
	<Blog:BlogNews runat="Server" id="bn" />
</li>
<li id="SearchSideBar">
	<Blog:SingleWeblogSearch runat="Server" id="ws"/>
</li>
<li id="TasksSideBar">
	<Blog:WeblogQuickLinks runat="Server" id="wql"/>
</li>
<li id="BlogLinksSideBar">
	<Blog:WeblogLinks runat="Server" id="wl"/>
</li>
<li id="TagSideBar">
	<h2 class="sideheader">
		<CS:ResourceControl ID="rc2" runat="Server" ResourceName="Tags" />
	</h2>
	<Blog:TagCloud TagCloudCssClasses="tag6,tag5,tag4,tag3,tag2,tag1" runat="server" IgnoreFilterTags="true" CssClass="tagcloud" id="TagCloud" />
</li>
<li id="NavSideBar">
	<h2>
		<cs:resourcecontrol runat="Server" resourcename = "mainnavigation" id="RC1" />
	</h2>
	<Blog:RepeaterBar runat="server">
		<SkinTemplate>
			<asp:Repeater EnableViewState="false" runat="server" id="Menu">
				<HeaderTemplate>
					<ul>
				</HeaderTemplate>
				<ItemTemplate>
					<li><a href="<%# DataBinder.Eval(Container.DataItem, "NavigateUrl") %>"><%# DataBinder.Eval(Container.DataItem, "Text") %></a></li>
				</ItemTemplate>
				<FooterTemplate>
					</ul>
				</FooterTemplate>
			</asp:Repeater>
		</SkinTemplate>
	</Blog:RepeaterBar>
</li>
<li id="ArchiveSideBar">
	<Blog:ArchiveList ID="al" runat = "Server"/>
</li>
<li id="LinkSideBar">
	<Blog:LinkCategoryList runat="Server" ApplicationType="Weblog" id="lcl"/>
</li>
<li id="SubscriptionsSideBar">
	<Blog:Subscriptions runat="Server" id="bs" />
</li>